Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.velocity
Class StrutsResourceLoader

    java.lang.Object
      org.apache.velocity.runtime.resource.loader.ResourceLoader
          org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader
              org.apache.struts2.views.velocity.StrutsResourceLoader

    public class StrutsResourceLoader

extends org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader

Loads resource from the Thread's context ClassLoader.

Field Summary

Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`className, isCachingOn, log, modificationCheckInterval, rsvc`

Constructor Summary
`StrutsResourceLoader()`

Method Summary
`InputStream` | `getResourceStream(String name)`

Methods inherited from class org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader
`getLastModified, init, isSourceModified`

Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsResourceLoader

    public StrutsResourceLoader()

Method Detail

### getResourceStream

    public InputStream getResourceStream(String name)
                                  throws org.apache.velocity.exception.ResourceNotFoundException

  Overrides:
    `getResourceStream` in class `org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader`
  Throws:
    `org.apache.velocity.exception.ResourceNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.